-- oracle equivalent source sha1 0074bce15f4af879acd7128d22e11455caa13800
-- retrieved from ./1241057068/d2f16725f65bddae85cd4782cd82e0c84c0a776d/schema/spacewalk/oracle/procs/lookup_package_nevra.sql
--
-- Copyright (c) 2008--2010 Red Hat, Inc.
--
-- This software is licensed to you under the GNU General Public License,
-- version 2 (GPLv2). There is NO WARRANTY for this software, express or
-- implied, including the implied warranties of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
-- along with this software; if not, see
-- http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
-- 
-- Red Hat trademarks are not licensed under GPLv2. No permission is
-- granted to use or replicate Red Hat trademarks that are incorporated
-- in this software or its documentation. 
--
--
--
--



create or replace function
lookup_package_nevra(
        name_id_in in numeric,
        evr_id_in in numeric,
        package_arch_id_in in numeric,
        ignore_null_name in numeric default 0
) returns numeric
AS
$$
DECLARE
        nevra_id numeric;
BEGIN
        if ignore_null_name = 1 and name_id_in is null then
                return null;
        end if;

        select  id
        into    nevra_id
        from    rhnPackageNEVRA
        where   name_id = name_id_in
                and evr_id = evr_id_in
                and (package_arch_id = package_arch_id_in or
                        (package_arch_id is null
                         and package_arch_id_in is null));

        IF NOT FOUND THEN
		insert into rhnPackageNEVRA
                        (id, name_id, evr_id, package_arch_id)
                        values
                        (       nextval('rhn_pkgnevra_id_seq'),
                                name_id_in, evr_id_in, package_arch_id_in
                        );
                nevra_id := currval('rhn_pkgnevra_id_seq');
        END IF;

        return nevra_id;
end;
$$ LANGUAGE PLPGSQL;
